On Wed, 2003-02-19 at 23:59, Tom Parquette wrote:
> Joe Marcus Clarke wrote:
> 
> > On Tue, 2003-02-18 at 22:47, Tom Parquette wrote:
> > 
> >>I'm rebuilding gnome2 at the V2.2 level.
> >>Gnome2 installed from ports OK but when I try to build gnome2-fifth-toe 
> >>from ports (cvsuped Monday) I get the following:
> >>
> >>Atlas# pwd
> >>/usr/ports/x11/gnome2-fifth-toe
> >>Atlas# make && make install
> >>===>  Installing for gnome2-fifth-toe-2.2.0_3
> >>===>   gnome2-fifth-toe-2.2.0_3 depends on executable: gnumeric - found
> >>===>   gnome2-fifth-toe-2.2.0_3 depends on executable: pan - found
> >>===>   gnome2-fifth-toe-2.2.0_3 depends on executable: xchat - found
> >>===>   gnome2-fifth-toe-2.2.0_3 depends on executable: balsa - found
> >>===>   gnome2-fifth-toe-2.2.0_3 depends on executable: gimp-1.3 - not found
> >>===>    Verifying install for gimp-1.3 in /usr/ports/graphics/gimp-devel
> >>===>  Extracting for gimp-1.3.11_1,1
> >> >> Checksum OK for gimp-1.3.11.tar.bz2.
> >> >> Checksum OK for mpeg_lib-1.3.1.tar.gz.
> >>===>   gimp-1.3.11_1,1 depends on executable: gmake - found
> >>===>   gimp-1.3.11_1,1 depends on executable: libtool - found
> >>===>   gimp-1.3.11_1,1 depends on shared library: gtk-x11-2.0.200 - found
> >>===>   gimp-1.3.11_1,1 depends on shared library: gimpprint.1 - not found
> >>===>    Verifying install for gimpprint.1 in /usr/ports/print/gimp-print
> >>===>   Returning to build of gimp-1.3.11_1,1
> >>Error: shared library "gimpprint.1" does not exist
> >>*** Error code 1
> >>Stop in /usr/ports/graphics/gimp-devel.
> >>*** Error code 1
> >>Stop in /usr/ports/x11/gnome2-fifth-toe.
> >>Atlas# exit
> >>exit
> >>Script done on Tue Feb 18 22:32:28 2003
> >>
> >>FWIW, I've never tried to install gnome2-fifth-toe before.
> >>
> >>Searching Questions and gnome for gimpprint.1 I found one hit that 
> >>pointed me at the port Gimp-print.  Pkg_info indicates gimp-print-4.2.5 
> >>is installed.
> >>
> >>Suggestions?
> >>
> > 
> > Either cvsup your ports tree to the latest, or edit gimp-devel's
> > Makefile, and change gimpprint.1 to gimpprint.2.  Pointy hat to whomever
> > updated gimp-print, and forgot to chase shared lib versions :-(.
> > 
> > Joe
> > 
> > 
> >>TIA
> >>
> >>
> >>
> >>To Unsubscribe: send mail to [EMAIL PROTECTED]
> >>with "unsubscribe freebsd-questions" in the body of the message
> >>
> 
> Joe,
> I updated ports-all and rebuilt Gimp-print (only) without a problem.
> I then restarted gnome2-fifth-toe and it failed somewhere else.
> This time, I got a message to send all the doc the the gnome maintainer.
> 
> I'm not sure if a cross-post here, while addressing this to the 
> maintainer, is appropriate.  I'm going to chicken out and only send it 
> to the maintainer.  For the benefit of the questions list, it now 
> appears to be complaining about GMP and/or librep.

Okay.  I'm the GNOME maintainer, so I'll hazard a guess and say if
you're running -CURRENT, you need to make sure you don't have the
libgmp4 port installed.  librep doesn't seem to like it.  Instead,
install math/libgmp, then librep should be fine.

Joe

> 
> Thanks again.
> Cheers...
> 
> 
> 
> To Unsubscribe: send mail to [EMAIL PROTECTED]
> with "unsubscribe freebsd-questions" in the body of the message
-- 
PGP Key : http://www.marcuscom.com/pgp.asc

Attachment: signature.asc
Description: This is a digitally signed message part

Reply via email to